<!DOCTYPE html>
<html>
<head>
<link href='../fullcalendar/fullcalendar.css' rel='stylesheet' />
<link href='../fullcalendar/fullcalendar.print.css' rel='stylesheet' media='print' />
<script src='../lib/jquery.min.js'></script>
<script src='../lib/jquery-ui.custom.min.js'></script>
<script src='../fullcalendar/fullcalendar.js'></script>
<script>

        $(document).ready(function() {
                $('#external-events div.external-event').each(function() {
               
                        // create an Event Object (http://arshaw.com/fullcalendar/docs/event_data/Event_Object/)
                        // it doesn't need to have a start or end
                        var eventObject = {
                                title: $.trim($(this).text()) // use the element's text as the event title
                        };
                       
                        // store the Event Object in the DOM element so we can get to it later
                        $(this).data('eventObject', eventObject);
                       
                        // make the event draggable using jQuery UI
                        $(this).draggable({
                                zIndex: 999,
                                revert: true,      // will cause the event to go back to its
                                revertDuration: 0  //  original position after the drag
                        });
                       
                });
       
                var date = new Date();
                var d = date.getDate();
                var m = date.getMonth();
                var y = date.getFullYear();
               
                var ci;
                for( ci=1;ci<3;ci++){
                        $('#calendar'+ci).fullCalendar({
                                header: {
                                        left: 'prev,next today',
                                        center: 'title',
                                        right:'month,basicWeek,basicDay'
                                },
                                nameID:ci,
                                dragRevertDuration:50,
                                editable: true,
                                selectable: true,
                                selectHelper: true,
                                droppable: true,
                                drop: function(date, allDay,jsEvent, ui,nameid) { // this function is called when something is dropped
                                        // retrieve the dropped element's stored Event Object
                                        var originalEventObject = $(this).data('eventObject');
                                       
                                        // we need to copy it, so that multiple events don't have a reference to the same object
                                        var copiedEventObject = $.extend({}, originalEventObject);
                                       
                                        // assign it the date that was reported
                                        if(copiedEventObject.start instanceof Date){
                                                copiedEventObject.start = new Date(
                                                        date.getFullYear(), date.getMonth(), date.getDate(),
                                                        copiedEventObject.start.getHours(), copiedEventObject.start.getMinutes(), copiedEventObject.start.getSeconds()
                                                );
                                        }else if(copiedEventObject.start === null){
                                                copiedEventObject.start = null;
                                        }else{
                                                copiedEventObject.start = date;
                                        }

                                        if(copiedEventObject.end instanceof Date && copiedEventObject.start instanceof Date){
                                                var diff = (originalEventObject.end.getTime() - originalEventObject.start.getTime());
                                                copiedEventObject.end = new Date();
                                                copiedEventObject.end.setTime(copiedEventObject.start.getTime() + diff);
                                        }else if(copiedEventObject.end === null){
                                                copiedEventObject.end = null;
                                        }else{
                                                copiedEventObject.end = date;
                                        }

                                        if(typeof copiedEventObject.allDay === "undefined"){
                                                copiedEventObject.allDay = allDay;
                                        }

                                        console.log(nameid+'::::copiedEventObject::::' +copiedEventObject.nameid);
                                        // render the event on the calendar
                                        // the last `true` argument determines if the event "sticks" (http://arshaw.com/fullcalendar/docs/event_rendering/renderEvent/)
                                       
                                        if(nameid!=copiedEventObject.nameid) {
                                                copiedEventObject.nameID=nameid;
                                                $('#calendar'+nameid).fullCalendar('renderEvent', copiedEventObject, true,true);
                                               
                                                $('#calendar'+originalEventObject.nameid).fullCalendar('removeEvents', originalEventObject.id);
                                        }else $('#calendar'+nameid).fullCalendar('renderEvent', copiedEventObject, false,false);
                                       
                                        // is the "remove after drop" checkbox checked?
                                        if ($('#drop-remove').is(':checked')) {
                                                // if so, remove the element from the "Draggable Events" list
                                                $(this).remove();
                                        }
                                       
                                },
                                eventDrop: function(event,dayDelta,minuteDelta,allDay,revertFunc,ev,ui,cell) {
                                                console.log('eventDrop');
                                },
                                eventDragStart: function( event, jsEvent, ui, view ) {
                                        dragged = [ ui.helper[0], event ];
                                        console.log('eventDragStart');
                                        console.log(dragged);
                                },
                                eventDragStop: function( event, jsEvent, ui, view ) {
                                        dragged = [ ui.helper[0], event ];
                                        console.log('eventDragStop');
                                        console.log(dragged);
                                },
                                events: [
                                        {
                                                nameID:ci,
                                                title: 'All Day Event',
                                                start: new Date(y, m, 1)
                                        },
                                        {
                                                nameID:ci,
                                                title: 'Long Event',
                                                start: new Date(y, m, d-5),
                                                end: new Date(y, m, d-2)
                                        },
                                        {
                                                nameID:ci,
                                                id: 999,
                                                title: 'Repeating Event',
                                                start: new Date(y, m, d-3, 16, 0),
                                                allDay: false
                                        },
                                        {
                                                nameID:ci,
                                                id: 999,
                                                title: 'Repeating Event',
                                                start: new Date(y, m, d+4, 16, 0),
                                                allDay: false
                                        },
                                        {
                                                nameID:ci,
                                                title: 'Meeting',
                                                start: new Date(y, m, d, 10, 30),
                                                allDay: false
                                        },
                                        {
                                                nameID:ci,
                                                title: 'Lunch',
                                                start: new Date(y, m, d, 12, 0),
                                                end: new Date(y, m, d, 14, 0),
                                                allDay: false
                                        },
                                        {
                                                nameID:ci,
                                                title: 'Birthday Party',
                                                start: new Date(y, m, d+1, 19, 0),
                                                end: new Date(y, m, d+1, 22, 30),
                                                allDay: false
                                        },
                                        {
                                                nameID:ci,
                                                title: 'Click for Google',
                                                start: new Date(y, m, 28),
                                                end: new Date(y, m, 29),
                                                url: 'http://google.com/'
                                        }
                                ]
                        });

                }
                $('.fc-day').css('width', '127.083px');
                $('.hidethead .fc-widget-header').text('');
               
               
               
        });

</script>
<style>

        body {
                margin-top: 40px;
                text-align: center;
                font-size: 14px;
                font-family: "Lucida Grande",Helvetica,Arial,Verdana,sans-serif;
                }
                #wrap {
                width: 1500px;
                margin: 0 auto;
                }
               
        #external-events {
                float: left;
                width: 150px;
                padding: 0 10px;
                border: 1px solid #ccc;
                background: #eee;
                text-align: left;
                }
               
        #external-events h4 {
                font-size: 16px;
                margin-top: 0;
                padding-top: 1em;
                }
               
        .external-event { /* try to mimick the look of a real event */
                margin: 10px 0;
                padding: 2px 4px;
                background: #3366CC;
                color: #fff;
                font-size: .85em;
                cursor: pointer;
                }
               
        #external-events p {
                margin: 1.5em 0;
                font-size: 11px;
                color: #666;
                }
               
        #external-events p input {
                margin: 0;
                vertical-align: middle;
                }

        .calendar{
                float: left;
                width: 500px;
                margin-left: 100px;
                }
                .fc-day > div{
                        //height: 100px;
                        min-height: 100px!important;
                }
                .fc-view { /* prevents dragging outside of widget */
                overflow: visible;
        }

</style>
</head>
<body>
<div id='wrap'>
<div id='external-events'>
<h4>Draggable Events</h4>
<div class='external-event'>My Event 1</div>
<div class='external-event'>My Event 2</div>
<div class='external-event'>My Event 3</div>
<div class='external-event'>My Event 4</div>
<div class='external-event'>My Event 5</div>
<p>
<input type='checkbox' id='drop-remove' /> <label for='drop-remove'>remove after drop</label>
</p>
</div>
<div id='calendar1' class='calendar'></div>
<div id='calendar2' class='calendar'></div>

</body>
</html>
